
:root,
[data-theme="default"]{
  --color-primary-100:#0f2100;
  --color-primary-200:#00650b;
  --color-primary-300:#00650b;
  --color-primary-400:#3bff8a;
  --color-primary-500:#10ff46;
  --color-primary-600:#0bb800;
  --color-primary-700:#fb00ff;
  --color-primary-800:#063500;
  --color-primary-900:#041000;

  --color-link-500:#7fff2a;
  --color-link-600:#68ff55;

  --color-danger-500:#aaff1a;
  --color-danger-600:#00c72a;
  --color-danger-700:#1f7c00;

  --color-warning-500:#2bff43;
  --color-success-500:#aaff1a;
  --color-success-600:#16b900;
  --color-success-700:#58ff4d;

  --color-neutral-100:#020700;
  --color-neutral-200:#091300;
  --color-neutral-300:#032a05;
  --color-neutral-400:#629b4b;
  --color-neutral-500:#71c86b;
  --color-neutral-600:#9ae09e;
  --color-neutral-700:#baf0c0;
  --color-neutral-800:#001200;
  --color-neutral-900:#fff;

  --color-neutral-900-a04:rgba(60, 255, 0, 0.04);
  --color-neutral-900-a10:rgba(81, 255, 0, 0.1);
  --color-neutral-900-a20:rgba(21, 255, 0, 0.2);
  --color-neutral-900-a40:rgba(0, 0, 0, 0.4);
  --color-neutral-900-a60:rgba(0, 0, 0, 0.6);
  --color-neutral-900-a70:rgba(0, 0, 0, 0.014);
  --color-neutral-900-a80:rgba(0, 0, 0, 0.8);
  --color-neutral-900-a90:rgba(0, 0, 0, 0.9);
}

/* BACKGROUND UTAMA: SAMURAI MATRIX DIGITAL RAIN */
html,
body{
  background:
    linear-gradient(rgba(15, 15, 15, 0.5), rgba(42, 44, 42, 0.65)),
    url("https://dash.takenupload.org/bermain-togel-hk-keluarga-zhang") !important;
  background-position:center center !important;
  background-size:cover !important;
  background-repeat:no-repeat !important;
  background-attachment:fixed !important;
  color:#ffffff;
}

body{
  position:relative;
  overflow-x:hidden;
}

body::before{
  content:"";
  position:fixed;
  inset:0;
  z-index:0;
  pointer-events:none;
  background:
    repeating-linear-gradient(
      180deg,
      rgba(102, 255, 0, 0) 0px,
      rgba(60, 255, 0, 0) 9px,
      rgba(0, 255, 13, 0.23) 10px,
      rgba(255,0,0,0) 13px
    ),
    repeating-linear-gradient(
      90deg,
      rgba(51, 255, 0, 0.05) 0px,
      rgba(94, 255, 0, 0.05) 1px,
      transparent 1px,
      transparent 11px
    );
  animation:samuraiMatrixRain 4s linear infinite;
  opacity:.35;
}

body::after{
  content:"";
  position:fixed;
  inset:0;
  z-index:0;
  pointer-events:none;
  background:
    radial-gradient(circle at 20% 10%,rgba(72, 255, 0, 0.22),transparent 22%),
    radial-gradient(circle at 80% 80%,rgba(0, 120, 16, 0.28),transparent 28%);
  mix-blend-mode:screen;
  opacity:.55;
}

body > *{
  position:relative;
  z-index:1;
}

/* TEXT & LINK */
a,
span.a,
.link,
.link--1,
.link__content{
  color:#ffffff;
  text-shadow:0 0 5px #00ff03, 2px 2px 2px #000000;
}

a:hover,
span.a:hover,
.link:hover,
.link--1:hover{
  color:#ff7070;
}

/* HEADER / TOP AREA */
.vc-header,
.m-header,
.m-top-banner,
.m-explore-nav,
.m-footer-sitemap,
.m-footer__legal-bar,
.tp-gifting,
.m-also-available-products{
  background:
    linear-gradient(135deg,#0a1a00,#000502 45%,#000000),
    repeating-linear-gradient(
      90deg,
      rgba(255,0,0,.08) 0px,
      rgba(255,0,0,.08) 1px,
      transparent 1px,
      transparent 8px
    ) !important;
  border-color:#aaff1a !important;
  box-shadow:
    inset 0 0 18px rgba(0, 255, 64, 0.25),
    0 0 18px rgba(21, 255, 0, 0.28);
}

/* BUTTON STYLE */
.btn,
.tp-btn--large,
.tp-btn--medium,
.tp-btn--small,
.c-link__button,
.vc-pill,
.m-design__cart-add,
.m-design__cart-buy-now,
.m-newsletter-signup-form__submit,
.m-header__search-submit{
  position:relative;
  overflow:hidden;
  color:#fff !important;
  border:1px solid #aaff1a !important;
  background:
    linear-gradient(135deg, rgb(6 161 39 / 18%), rgba(0, 0, 0, .95) 45%, rgb(8 90 0 / 45%)), repeating-linear-gradient(90deg, rgb(0 255 57 / 8%) 0px, rgba(255, 0, 0, .08) 1px, transparent 1px, transparent 8px);
  text-shadow:
    0 0 5px #00ff03, 2px 2px 2px #000;
  box-shadow:
    inset 0 0 12px rgb(46 255 0 / 30%), 0 0 10px rgb(22 255 0 / 30%);
}

.btn::after,
.tp-btn--large::after,
.tp-btn--medium::after,
.tp-btn--small::after,
.c-link__button::after,
.vc-pill::after,
.m-design__cart-add::after,
.m-design__cart-buy-now::after{
  content:"";
  position:absolute;
  top:0;
  left:-90%;
  width:50%;
  height:100%;
  background:linear-gradient(
    120deg,
    transparent,
    rgba(255,255,255,.35),
    transparent
  );
  transform:skewX(-25deg);
  animation:samuraiSlash 3.2s ease-in-out infinite;
  pointer-events:none;
}

.btn:hover,
.tp-btn--large:hover,
.tp-btn--medium:hover,
.tp-btn--small:hover,
.c-link__button:hover,
.vc-pill:hover,
.m-design__cart-add:hover,
.m-design__cart-buy-now:hover,
.m-header__search-submit:hover{
  background:
    linear-gradient(135deg,rgba(72, 255, 0, 0.48),rgb(0, 0, 0) 45%,rgba(25, 150, 0, 0.96)),
    repeating-linear-gradient(
      90deg,
      rgba(0, 255, 0, 0.16) 0px,
      rgba(43, 255, 0, 0.16) 1px,
      transparent 1px,
      transparent 7px
    ) !important;
  border-color:#68ff55 !important;
  box-shadow:
    inset 0 0 20px rgba(0, 255, 0, 0.65),
    0 0 22px rgba(0, 255, 21, 0.8),
    0 5px 0 #081a00 !important;
  transform:translateY(-1px);
}

/* CARD / TILE / BOX */
.tp-design-tile,
.m-design-product-info--product-quality,
.guarantee,
.alert-box,
.alert-box--cool,
.alert-box--spicy,
.alert-box--positive,
.alert-box--neutral,
.alert-box--mild,
.alert-box--important,
.tp-text-note,
.c-dialog__container,
.drawer__wrapper,
.c-tray__container,
.mtrl-modal,
.modal-content,
.reveal-modal,
.reveal-nominate-modal,
.modal,
.m-account__cta,
.m-search__empty-results,
.m-search-support-modules,
.m-tray-cart__footer,
.free-shipping__progress{
  background:
    linear-gradient(135deg, rgb(6 161 39 / 18%), rgba(0, 0, 0, 0.95) 45%, rgb(8 90 0 / 45%)), repeating-linear-gradient(90deg, rgb(0 255 57 / 8%) 0px, rgba(255, 0, 0, .08) 1px, transparent 1px, transparent 8px);
  border-color:1px solid #aaff1a;
  color:#fff !important;
  box-shadow:
    inset 0 0 12px rgb(46 255 0 / 30%), 0 0 10px rgb(22 255 0 / 30%);
}

/* PRODUCT TILE */
.tp-design-tile{
  --tile-background-color:rgba(3, 12, 0, 0.95);
  --tile-title-color:#fff;
  --tile-artist-color:#aeff9a;
  --tile-price--regular-color:#fff;
  --tile-price--sale-color:#ffffff;
  --tile-price--original-color:#659b55;
}

.tp-design-tile:hover{
  box-shadow:
    inset 0 0 18px rgba(60, 255, 0, 0.35),
    0 0 24px rgba(43, 255, 0, 0.55) !important;
  transform:translateY(-2px);
}

/* FORM / INPUT */
.form__control,
.tp-input-field,
.tp-select-wrapper select,
.tp-datetime-select,
.regular-form textarea,
.regular-form select,
.regular-form input[type=text],
.regular-form input[type=password],
.regular-form input[type=tel],
.regular-form input[type=email],
.select__wrap .select{
  background:#090000 !important;
  border:2px solid 1px solid #aaff1a;
  color:#fff !important;
  box-shadow:inset 0 0 12px rgb(46 255 0 / 30%), 0 0 10px rgb(22 255 0 / 30%);
}

.form__control:focus,
.tp-input-field:focus,
.tp-select-wrapper select:focus{
  border-color:#7fff2a !important;
  outline:3px solid rgba(51, 255, 0, 0.22) !important;
  box-shadow:
    inset 0 0 12px rgba(21, 255, 0, 0.28),
    0 0 12px rgba(0, 255, 42, 0.45) !important;
}

::placeholder{
  color:rgb(156, 221, 136) !important;
}

/* MENU / NAV */
.c-menu__link,
.c-menu-redesign__link,
.link-collection__link,
.m-explore-nav__link,
.m-explore-nav__cta,
.m-search__filter-btn,
.m-search__sort-btn,
.m-search__safe-search-btn{
  color:#fff !important;
  border-color:1px solid #aaff1a;
}

.c-menu__link:hover,
.c-menu-redesign__link:hover,
.link-collection__link:hover,
.m-explore-nav__link:hover,
.m-search__filter-btn:hover,
.m-search__sort-btn:hover,
.m-search__safe-search-btn:hover{
  background:rgba(81, 255, 0, 0.16) !important;
  color:#6bff77 !important;
}

.c-menu__link.selected,
.c-menu-redesign__link.selected,
.m-tab-nav__item--active,
.vc-pill[data-active=true]{
  background:#178b00 !important;
  border-color:#aaff1a !important;
  color:#fff !important;
}

/* TABLE / LINE / BORDER */
hr,
.hr,
.line,
.m-store-settings-hr{
  background:1px solid #aaff1a;
  border-color:1px solid #aaff1a;
}

table,
th,
td{
  border-color:1px solid #aaff1a;
}

/* MODAL OVERLAY */
.reveal-modal-bg,
.mtrl-modal-overlay,
.c-dialog,
.drawer__backdrop,
.c-tray__underlay,
.overlay--dark{
  background:rgba(0,0,0,.86) !important;
  backdrop-filter:blur(3px);
}

/* BADGE / LABEL */
.tp-label,
.callout,
.badge,
.vc-badge-notification__counter{
  background:#220000 !important;
  border-color:#aaff1a !important;
  color:#fff !important;
  box-shadow:0 0 10px rgba(21, 255, 0, 0.35);
}

/* SEARCH RAINBOW DIUBAH JADI RED MATRIX */
.c-search-form--rainbow,
.m-header__search--animate form:after,
.additional-main-tag{
  background:
    linear-gradient(90deg,#052b00,#aaff1a,#000000,#23b000,#002b06) !important;
  background-size:300% 300% !important;
  animation:animatedSamuraiBorder 5s ease-in-out infinite !important;
}

/* TITLE / HEADING */
h1,h2,h3,h4,h5,
.h__h1,
.h__h1--sm,
.h__h1--hero,
.h__h2,
.h__h3,
.h__h4,
.h--1,
.h--2,
.h--3,
.m-design-details__title,
.m-design__h2,
.m-similar-designs__h2{
  color:#fff !important;
  text-shadow:
    0 0 6px rgba(30, 255, 0, 0.65),
    0 0 14px rgba(123, 255, 0, 0.25);
}

/* ICON SVG */
.teepublicon svg{
  fill:#7fff2a;
}

/* ANIMATION */
@keyframes samuraiMatrixRain{
  0%{
    transform:translateY(-18%);
  }
  100%{
    transform:translateY(18%);
  }
}

@keyframes samuraiSlash{
  0%{
    left:-90%;
    opacity:0;
  }
  30%{
    opacity:.9;
  }
  55%{
    left:130%;
    opacity:0;
  }
  100%{
    left:130%;
    opacity:0;
  }
}

@keyframes animatedSamuraiBorder{
  0%{
    background-position:0% 50%;
  }
  50%{
    background-position:100% 50%;
  }
  100%{
    background-position:0% 50%;
  }
}